Subject: [PATCH v4 4/7] ARM: dts: zx: add an initial zx296702 dts and doc

From: [email-masked] (Shawn Guo)
Date: Sat, 16 May 2015 21:14:22 +0800

On Sat, May 16, 2015 at 03:05:11PM +0800, Jun Nie wrote:
> B.R.
> Jun
> 
> 
> 2015-05-16 4:19 GMT+08:00 Arnd Bergmann <[email-masked]>:
> > On Friday 15 May 2015 21:59:06 Arnd Bergmann wrote:
> >> On Tuesday 28 April 2015 17:18:08 Jun Nie wrote:
> >> > Add initial dts file and document for ZX296702 and board ZX296702-AD1.
> >> > More peripherals will be added later.
> >> >
> >> > Signed-off-by: Jun Nie <[email-masked]>
> >>
> >> Applied to next/dt, thanks!
> >>
> >>
> >
> > And removed again. I hadn't pushed it out to a public tree yet and
> > found a build error in this.
> >
> > Unfortunately, you are using a header file here that is only introduced
> > by a patch that belongs to another subsystem maintainer.
> >
> > Please try to get rid of that dependency, or submit this patch again
> > for the following merge window once that driver has been merged upstream.
> >
> > In a lot of cases, you can just use hardware numbers as identifiers
> > instead of making up your own, to avoid having to use ugly header files
> > that make life hard for us.
> >
> >         Arnd
> 
> Hi Arnd,
> 
> I have to use macro in file
> "include/dt-bindings/clock/zx296702-clock.h" for clock id. Because it
> is hard to maintain the id as it is has nothing to do with hardware

It's not true.  The number has something to do with hardware.  Ideally,
the clock ID should be numbered according clock tree from root to leaf.
The problem with zx296702 is that the reference manual doesn't give a
full picture of the whole clock tree.  And we have to number the clocks
as much as we can at some level mapping the hardware clock tree.

Shawn

> and I may add more clock later. I will post patch 4/5/7 after the dts
> patch merged. Thanks!
> 
> Jun
> 
> _______________________________________________
> linux-arm-kernel mailing list
> linux-arm-kernel at lists.infradead.org
> http://lists.infradead.org/mailman/listinfo/linux-arm-kernel